Bug 573 - broken bin/sbin layout in SAMBA_3_0
broken bin/sbin layout in SAMBA_3_0
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Build environment
3.0.0
Other other
: P3 normal
: none
Assigned To: Gerald (Jerry) Carter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-06 04:02 UTC by Tim Potter
Modified: 2005-08-24 10:21 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Potter 2003-10-06 04:02:50 UTC
From: <tiamat@komi.mts.ru>
To: samba-technical@lists.samba.org
Subject: broken bin/sbin layout in SAMBA_3_0
                                                                                
I get today SAMBA_3_0 from cvs. It has broken  installbin target:
                                                                                
# ./configure --prefix=/var/tmp/samba
# make
# make showlayout
Samba will be installed into:
  basedir: /var/tmp/samba
  bindir:  /var/tmp/samba/bin
  sbindir: /var/tmp/samba/sbin  libdir:  /var/tmp/samba/lib
  vardir:  /var/tmp/samba/var
  mandir:  /var/tmp/samba/man
# make install
....
Installing bin/nmbd as /var/tmp/samba/lib/nmbd
Installing bin/swat as /var/tmp/samba/lib/swat
Installing bin/winbindd as /var/tmp/samba/lib/winbindd
....
Installing bin/net as /var/tmp/samba/lib/net
Installing bin/smbspool as /var/tmp/samba/lib/smbspool
Installing bin/testparm as /var/tmp/samba/lib/testparm
Installing bin/testprns as /var/tmp/samba/lib/testprns
Installing bin/smbstatus as /var/tmp/samba/lib/smbstatus
Installing bin/smbcontrol as /var/tmp/samba/lib/smbcontrol
Installing bin/smbtree as /var/tmp/samba/lib/smbtree
Installing bin/tdbbackup as /var/tmp/samba/lib/tdbbackup
Installing bin/nmblookup as /var/tmp/samba/lib/nmblookup
Installing bin/pdbedit as /var/tmp/samba/lib/pdbedit
....# ls -l /var/tmp/samba/bin /var/tmp/samba/sbin
/var/tmp/samba/bin:
total 10
-rwxr-xr-x  1 root  wheel  4514 Oct  6 13:38 findsmb
-rwxr-xr-x  1 root  wheel  4899 Oct  6 13:38 smbtar
                                                                                
/var/tmp/samba/sbin:
                                                                                
Any ideas ?
                                                                                
Thanks!
Comment 1 Gerald (Jerry) Carter 2003-10-06 06:44:39 UTC
I think this is my fault since I 
touched this code recently.
Comment 2 Gerald (Jerry) Carter 2003-10-07 07:29:44 UTC
fixed by setting default DESTDIR=/
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:21:57 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.